#!/bin/bash
#LOC=$HOME/dev/freeipa-guide-fr/ipa-admin
PROJECT=$(< .project)

echo "Using project $PROJECT"

if [ "${PROJECT}" == "" ] ; then
    echo "Transifex project not defined, check $PWD/.project"
fi

# do this once only
if [ ! -d .tx ] ; then
    tx -r . init        # answer some questions...
    tx -r . set --auto-remote https://www.transifex.com/projects/p/${PROJECT}/
fi

# get from upstream @ fedorahosted
echo "Updating from git upstream master"
git pull upstream master

echo "Updating local pot"
publican update_pot


echo "Starting create/update/push resource to transifex"
# Create/update/push resources in transifex
for file in pot/*.pot; do
    resource="$file"
    resource=${resource%.pot} 
    resource=${resource#pot/} 
    if [ $(msgcat $file | wc -l) -ne 0 ] ; then
        echo "tx set  -r ${PROJECT}.${resource} --source -l en_US --type PO $file"
        tx set  -r ${PROJECT}.${resource} --source -l en_US --type PO $file
        echo "tx push -r ${PROJECT}.${resource} --source"
        tx push -r ${PROJECT}.${resource} --source
    fi
done

# prep done for pushing to transifex.

